﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace TreeViewExample
{
	/// <summary>
	/// Interaction logic for Window1.xaml
	/// </summary>
	public partial class Window1 : Window
	{
		public Window1()
		{
			InitializeComponent();
			this.myTreeView.ItemsSource = GenerateData();
		}

		private ObservableCollection<DataItem> GenerateData()
		{
			ObservableCollection<DataItem> result = new ObservableCollection<DataItem>();

			for (int j = 0; j < 4; j++)
			{
				DataItem d = new DataItem()
				{
					Name = String.Format("Item {0}", j),
					IconPath = new Uri("images/RedIcon.png", UriKind.Relative)
				};
				result.Add(d);
			}
			return result;
		}

		private void Button_Click(object sender, RoutedEventArgs e)
		{
			foreach (RadTreeViewItem item in myTreeView1.Items)
			{
				item.DefaultImageSrc = "images/RedIcon.png";
			}
		}
	}
}
